System
Show a person's organizations, multi-factor state, and session counts
GET /v1/system/principals/{principalId} · SDK getSystemPrincipal · CLI deployments system people show
GET
Requires platform:admin.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
principalId*stringThe person's principal ID.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$SystemPrincipalResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedisplayName*string|nullid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$kind*stringValue in
"human""service""support"platformRole*|nullprimaryEmail*string|nullstatus*stringValue in
"active""archived""disabled"updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeorganizations*signIn*|null where platform identity holds no sign-in state for the person.
curl -X GET "https://example.com/v1/system/principals/string"{ "createdAt": "2019-08-24T14:15:22Z", "displayName": "string", "id": "string", "kind": "human", "platformRole": "administrator", "primaryEmail": "string", "status": "active", "updatedAt": "2019-08-24T14:15:22Z", "organizations": { "capped": true, "items": [ { "joinedAt": "string", "name": "string", "organizationId": "string", "organizationStatus": "active", "role": "admin", "slug": "string", "status": "active" } ] }, "signIn": { "emailVerifiedAt": "2019-08-24T14:15:22Z", "mfa": { "state": "none" }, "sessions": { "browser": 0, "capped": true, "refreshTokenFamilies": 0 } }}